/*
SMS Server Tools
Copyright (C) 2000 Stefan Frings

This program is free software unless you got it under another license directly
from the author. You can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation.
Either version 2 of the License, or (at your option) any later version.

http://www.isis.de/members/~s.frings
mailto:s.frings@mail.isis.de
*/

#include "logging.h"
#include "extras.h"
#include <stdio.h>
#include <stdarg.h>
#include <time.h>
#include <fcntl.h>

extern unsigned char verbose;

void writelogfile (int severity, char *format, ...)
{
  va_list argp;
  char text[2048];
  char *posi;
  char *found;

  // make a string of the arguments
  va_start (argp, format);
  vsnprintf (text, sizeof (text), format, argp);
  va_end (argp);

if(verbose) printf("%i %s\n",severity, text);
}
